Recurring Billing Info API
Retrieve information for an active recurring billing subscription.
Recurring Billing Info
Retrieve account details and status for an active recurring billing subscription.
API Information
POST/v1/api/regular/info
Content-Type
application/json; charset=UTF-8테스트
https://tbnpay.settlebank.co.kr/v1/api/regular/info운영
https://npay.settlebank.co.kr/v1/api/regular/infoRequest Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└hdInfoAN(50)Alphanumeric, up to 50 bytes*Message information code.
Message information code.
*Fixed value
└mchtIdAN(8)Alphanumeric, up to 8 bytes*Merchant ID.
Merchant ID.
└mchtCustIdAN(100)Alphanumeric, up to 100 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64 (Standard)Customer ID.Customer ID.
└reqDtAN(8)Alphanumeric, up to 8 bytes*Request date (yyyyMMdd).
Request date (yyyyMMdd).
└reqTmAN(6)Alphanumeric, up to 6 bytes*Request time (HH24MISS).
Request time (HH24MISS).
└rglChrgKeyAN(32)Alphanumeric, up to 32 bytes*Unique recurring billing key.
Unique recurring billing key.
└pktHashAN(200)Alphanumeric, up to 200 bytes*
SHA-256SHA-256 HMAC signature.(실시간 생성)SHA-256 HMAC signature.
NOTE
Signature composition
mchtId + mchtCustId + reqDt + reqTm + rglChrgKey + hashKey
Response Parameters
└outStatCdAN(4)Alphanumeric, up to 4 bytes*Transaction status code.
0021Transaction status code.
0021: Success 0031: Failure└outRsltCdAN(4)Alphanumeric, up to 4 bytes*Decline code.
0000Decline code.
*ST08: If the account is already enrolled, existing account information is returned
└outRsltMsgAN(100)Alphanumeric, up to 100 bytes*Result message.
Processed successfully.Result message.
└bankCdAN(3)Alphanumeric, up to 3 bytesBank code.
011Bank code.
└bankNmAN(45)Alphanumeric, up to 45 bytesBank name (Korean: 3 bytes per character).
국민은행Bank name (Korean: 3 bytes per character).
└custAcntNoAN(15)Alphanumeric, up to 15 bytesAccount number (masked).
234*********123Account number (masked).
└useStDtAN(8)Alphanumeric, up to 8 bytesRecurring billing start date (yyyyMMdd).
20210830Recurring billing start date (yyyyMMdd).
└useEdDtAN(8)Alphanumeric, up to 8 bytesRecurring billing end date (yyyyMMdd).
20991231Recurring billing end date (yyyyMMdd).
└rglPmtAmtN(13)Numeric, up to 13 bytesFirst recurring billing charge amount.
1000First recurring billing charge amount.
└pmtAcmAmtN(13)Numeric, up to 13 bytesCumulative successful billing amount.
5000Cumulative successful billing amount.
└pmtAcmOrdN(13)Numeric, up to 13 bytesNumber of successful billing cycles.
5Number of successful billing cycles.
└unregDtAN(14)Alphanumeric, up to 14 bytesCancellation datetime (yyyyMMddhhmmss).
20210830080000Cancellation datetime (yyyyMMddhhmmss).
└unregStatCdAN(10)Alphanumeric, up to 10 bytesCancellation reason code.
Cancellation reason code.
EXPORE: Subscription period ended FAIL: Payment failure CANCEL: Merchant cancellation ADMIN: Administrator cancellationNeed technical support?
Code Samples
HectoFinancial GitHub